Package javax.mail

## Class NoSuchProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.NoSuchProviderException

All Implemented Interfaces:
  `Serializable`

    public class NoSuchProviderException
    extends MessagingException

This exception is thrown when Session attempts to instantiate a Provider that doesn't exist.

Author:
  Max Spivak
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchProviderException​()` Constructs a NoSuchProviderException with no detail message.
`NoSuchProviderException​(String message)` Constructs a NoSuchProviderException with the specified detail message.
`NoSuchProviderException​(String message, Exception e)` Constructs a NoSuchProviderException with the specified detail message and embedded exception.

### Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### NoSuchProviderException

    public NoSuchProviderException​()

Constructs a NoSuchProviderException with no detail message.

#### NoSuchProviderException

    public NoSuchProviderException​(String message)

Constructs a NoSuchProviderException with the specified detail message.

Parameters:
  `message` - The detailed error message

#### NoSuchProviderException

    public NoSuchProviderException​(String message,
                                   Exception e)

Constructs a NoSuchProviderException with the specified detail message and embedded exception. The exception is chained to this exception.

Parameters:
  `message` - The detailed error message
  `e` - The embedded exception
Since:
  JavaMail 1.5